Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK > Class Template Reference

Iterates over an <ace_timer_heap_t>. More...

`#include <Timer_Heap_T.h>`

Inheritance diagram for ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >:

[legend]
Collaboration diagram for ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >:

[legend]
List of all members.

## Public Member Functions
| ACE_Timer_Heap_Iterator_T (ACE_Timer_Heap_T< TYPE, FUNCTOR, ACE_LOCK > &)
| Constructor.
| ~ACE_Timer_Heap_Iterator_T (void)
| Destructor.
virtual void | first (void)
| Positions the iterator at the earliest node in the Timer Queue.
virtual void | next (void)
| Positions the iterator at the next node in the Timer Queue.
virtual int | isdone (void) const
| Returns true when there are no more nodes in the sequence.
virtual ACE_Timer_Node_T< TYPE > * | item (void)
| Returns the node at the current position in the sequence.
## Protected Attributes
ACE_Timer_Heap_T< TYPE, FUNCTOR, ACE_LOCK > & | timer_heap_
| Pointer to the <ace_timer_heap> that we are iterating over.
size_t | position_
| Position in the array where the iterator is at.

## Detailed Description

### template<class TYPE, class FUNCTOR, class ACE_LOCK>
class ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >

Iterates over an <ace_timer_heap_t>.

This is a generic iterator that can be used to visit every node of a timer queue. Be aware that it doesn't transverse in the order of timeout values.

## Constructor & Destructor Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::ACE_Timer_Heap_Iterator_T | ( | ACE_Timer_Heap_T< TYPE, FUNCTOR, ACE_LOCK > & |  | ) |

| Constructor.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::~ACE_Timer_Heap_Iterator_T | ( | void |  | ) |

| Destructor.

## Member Function Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
void ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::first | ( | void |  | ) | `[virtual]`

| Positions the iterator at the earliest node in the Timer Queue. Implements ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
int ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::isdone | ( | void |  | ) | const`[virtual]`

| Returns true when there are no more nodes in the sequence. Implements ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_Node_T< TYPE > * ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::item | ( | void |  | ) | `[virtual]`

| Returns the node at the current position in the sequence. Implements ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
void ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::next | ( | void |  | ) | `[virtual]`

| Positions the iterator at the next node in the Timer Queue. Implements ACE_Timer_Queue_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >.

## Member Data Documentation

template<class TYPE, class FUNCTOR, class ACE_LOCK>
size_t ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::position_`[protected]`

| Position in the array where the iterator is at.

template<class TYPE, class FUNCTOR, class ACE_LOCK>
ACE_Timer_Heap_T<TYPE, FUNCTOR, ACE_LOCK>& ACE_Timer_Heap_Iterator_T< TYPE, FUNCTOR, ACE_LOCK >::timer_heap_`[protected]`

| Pointer to the <ace_timer_heap> that we are iterating over.

The documentation for this class was generated from the following files:

- Timer_Heap_T.h
- Timer_Heap_T.cpp